package com.fjhx.controller;

import com.fjhx.base.R;
import com.fjhx.service.IEmailMessageSendService;
import com.fjhx.vo.SendVo;
import com.fjhx.vo.SubmitVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author zlj
 * @since 2022-12-21
 */
@RestController
@RequestMapping("/emailMessageSend")
public class EmailMessageSendController {

    @Autowired
    private IEmailMessageSendService emailMessageSendService;

    /**
     * 发送邮件
     */
    @PostMapping("send")
    public R send(@RequestBody SubmitVo submitVo) {
        emailMessageSendService.send(submitVo);
        return R.ok();
    }

}
